Subject: Re: mini-announce: lynx 2.8.3r1 binaries (fwd)
From: "Robert Praetorius" <[email-masked]>
To: [email-masked]
Date: Wed, 28 Mar 2001 00:45:20 +1000

> Just a warning, after forwarding that last message to the list I got

> about three virus warning messages from various servers. Since the

> attachment didn't come from me, I'm not sure whether breakln.exe

> really does have a virus or not, but I thought I'd best pass the

> warning on just in case people<color><param>FF00,0000,0000</param> try using it.

</color>     The copy of breakin.exe is not of unknown provenance.  It's the 
same breakin.exe that comes with WinDBG (at least with the previous 
version of WinDBG).  It's a very useful tool for debugging hung code.

It starts up a thread in the process given as its command line arg and 
executes a breakpoint in that thread, forcing a dump (as described in 

http://channels.microsoft.com/msj/0100/bugslayer/bugslayer0100.asp ).

     Anyway, just to be sure, I compared the breakin.exe that just 
arrived on this mailing list with the one installed by

http://download.microsoft.com/download/platformsdk/windbg/Feb2000/NT45/EN-US/dbg.exe

and found them to be identical.  You're welcome to do the same if you 
have any doubts.

     BTW, the current version of WinDBG is at

http://www.microsoft.com/ddk/debugging/download/dbg_x86_2023.exe

and contains a different version of breakin.exe which is actually 
smaller (when does Microsoft ever do that? :-)

     I suppose it might contain a virus.  If somebody finds one in 
there, they should be sure to tell Microsoft about it.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple